<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('subscribers', function (Blueprint $table) {
            $table->id();
            $table->bigInteger('en_id');
            $table->enum('perfect_language', ['yes', 'no'])->default('no');
            $table->enum('speak_english', ['yes', 'no'])->default('no');
            $table->enum('children_education_fund', ['yes', 'no'])->default('no');
            $table->string('subs_first_name')->nullable();
            $table->string('subs_middle_name')->nullable();
            $table->string('subs_last_name')->nullable();
            $table->enum('primary_care_giver', ['yes', 'no'])->default('no');
            $table->enum('subs_custodial_parent', ['yes', 'no'])->default('no');
            $table->enum('common_law', ['yes', 'no'])->default('no');
            $table->string('subs_cin')->nullable();
            $table->string('identification_type')->nullable();
            $table->string('identification_number')->nullable();
            $table->string('subs_dob')->nullable();
            $table->string('subs_gender')->nullable();
            $table->string('subs_email')->nullable();
            $table->text('subs_address')->nullable();
            $table->string('subs_city')->nullable();
            $table->string('subs_province')->nullable();
            $table->string('subs_countrty')->nullable();
            $table->string('subs_post_code')->nullable();
            $table->string('subs_home_phone')->nullable();
            $table->string('subs_business_phone')->nullable();
            $table->string('subs_air_mile_no')->nullable();
            $table->softDeletes();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('subscribers');
    }
};
